Skip to content

List SSH Keys

GET
/notebooks/{Instance_id}/ssh-keys/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/ssh-keys/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the SSH public keys currently authorized to access the Instance or Virtual Machine.

Instance_id
required
integer

Instance ID

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

List of authorized SSH keys

Media typeapplication/json
object
code
integer
data
object
ssh_keys

The keys attached to the VM.

Array<object>
object
pk
integer
label
string
ssh_key
string
disable_ssh_login_password

true when password sign-in is off.

boolean
app

The app of the VM’s image, with is_ssh_required.

object

Example

{
"code": 200,
"data": {
"ssh_keys": [
{
"pk": 12,
"label": "my-laptop-key",
"ssh_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAAB..."
}
],
"disable_ssh_login_password": true
}
}